#
# spec file for package dvgrab
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           dvgrab
Version:        3.5
Release:        150400.13.pm.5
License:        GPL-2.0+
Summary:        Record Digital Video (DV) via an IEEE 1394 (Firewire) Interface
Url:            http://www.kinodv.org/
Group:          Productivity/Multimedia/CD/Grabbers
Source:         %{name}-%{version}.tar.bz2
Patch1:         dvgrab-3.2-gcc44.patch
BuildRequires:  gcc-c++
BuildRequires:  libavc1394-devel
BuildRequires:  libiec61883-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libquicktime-devel
BuildRequires:  libraw1394-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dvgrab receives audio and video data from a digital camcorder via an
IEEE 1394 (widely known as FireWire) link and stores them into an AVI
file. It features autosplit of long video sequences into several files
and supports saving the data as raw frames, AVI type 1, and AVI type 2.

%prep
%setup -q
%patch1 -p1

%build
export CXXFLAGS="%{optflags} --std=gnu++98"
%configure
make %{?_smp_mflags}

%install
%makeinstall

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/dvgrab
%{_mandir}/man1/dvgrab.1*

%changelog
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Fri May 27 2011 idonmez@novell.com
- Add BuildRequires on libavc1394-devel and zlib-devel
* Sun Oct 10 2010 davejplater@gmail.com
- Added specific BuildRequires: libraw1394 to ensure a rebuild when
  libraw1394 changes.
* Thu Apr 22 2010 davejplater@gmail.com
- Fix url in spec file
- Changes in version 3.5 :-
  * Automatically detect DV vs. HDV when not using -noavc, -input, or -stdin.
  * Now waits indefinitely for DV or HDV instead of giving up after 10 seconds.
  * Bugfixes see ChangeLog file.
- Changes in version 3.4
  * Fix a showstopping bug in the v3.3 release.
- Changes in version 3.3
  * Give different warnings for dropped versus damaged frames.
  * Bugfixes see ChangeLog file.
* Sat Jan 23 2010 jw@novell.com
- pulled from home:Freespacer:kino
- tested, looks good.
* Tue Jan  5 2010 freespacer@gmx.de
- update to 3.5
* Fri Sep  4 2009 jslaby@suse.de
- update to 3.4
* Tue Jun  9 2009 coolo@novell.com
- fix build with gcc 4.4
* Wed Sep 17 2008 crrodriguez@suse.de
- update to version 3.2
  * New -srt option to write subtitle files containing recordind date/time
  * New -recordonly (-r) option for use with camcorder record (camera) mode
  * New -rewind option to rewind tape to beginning before starting capture
  * Added automatic stop capture at end of tape
  * Added optional seconds argument to autosplit
  * Improved autosplit
  * Bugfixes and updated documentation
* Tue Jul 29 2008 jw@suse.de
- updated to 3.1
  Apply 24p patch from Joe Stewart/CinCVS which adds -24p and -24pa
  options for Quicktime DV output:
  https://init.linpro.no/pipermail/skolelinux.no/cinelerra/2006-October/008095.html
  - hdvframe.{h,cc}: apply patch from Lars Täuber to fix P25 detection.
  - hdvframe.h: apply patch 1823641 to address bug 1773826 and prevent
  message "ERROR: too much carryover data."
  apply patch from Lars Täuber to process JVC P25 mode HDV (-jvc-p25).
  improve HDV debug logging. The [S] slice debugging is compacted into
  [S*n]; the default DEBUG does a newline now instead of a \r (i.e. it
  preserves the previous debug output on the screen); the GOP Dump()
  method has a fix in the format string.
* Mon May  5 2008 aj@suse.de
- Fix missing return statement (bnc #386479).
- Compile everything with RPM_OPT_FLAGS.
* Thu Nov 29 2007 ro@suse.de
- add many includes to fix build with gcc-4.3
* Tue Aug  7 2007 olh@suse.de
- build parallel, remove INSTALL file
- fix some -fwriteable-string warnings
- update to 3.0
  Add HDV (MPEG2-TS) support (-f hdv)!
  Add USB DV support (-v4l2)
  Simpler and more flexible option parsing
  Bugfixes and updated documentation
  Add feature to not capture/write-to-file when device is paused while in
  recording mode. This depends upon the device sending timecode as all
  zeroes while in that state.
  Changed --jpeg-overwrite so it does not generate a sequentially numbered
  filename or filename containing recording date or timecode. This makes
  dvgrab work nicely with StopMotion (http://stopmotion.bjoernen.com/).
  Bugfixes with dropped frame counting and quicktime support.
* Sun Oct 15 2006 ro@suse.de
- update to 2.0 to fix build
  - added libiec61883 support
  - added lockstep features
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed May  4 2005 wengel@suse.de
- update to version 1.8
* Sun Aug 22 2004 ro@suse.de
- update to 1.6 to make it build with current libdv
* Fri May  7 2004 wengel@suse.de
- update to version 1.5
- deleted patch (not needed anymore)
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue May 27 2003 coolo@suse.de
- use BuildRoot
* Mon Mar 10 2003 wengel@suse.de
- update to version 1.2
* Tue Feb 25 2003 kukuk@suse.de
- Include assert.h
* Tue Nov 20 2001 uli@suse.de
- initial package
